# vim: set ts=4 sw=4 et:
# Copyright (c) 2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        FLAC OGMRip plugin
Name:           ogmrip-flac
Version:        0.1
Release:        1.3
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-flac-%{version}.tar.gz
Source:         ogmrip-flac-%{version}.tar.bz2
License:        GNU Lesser General Public License version 2.1 or later (LGPLv2.1 or later)
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  intltool
BuildRequires:  flac-devel
BuildRequires:  glib2-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libogmrip-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
Requires:       ogmrip

%description
A plugin which adds support for the FLAC audio codec.

%prep
%setup -q
%__sed -i -e 's|-Werror||g' \
    configure

%build
%configure \
    --enable-static=no
%__make %{?_smp_flags}

%install
%makeinstall \
    	video_codecsdir=%{_libdir}/ogmrip/video-plugins \
    	options_plugindir=%{_libdir}/ogmrip/options-plugins \
    	containersdir=%{_libdir}/ogmrip/container-plugins

%find_lang %{name}

find "%{buildroot}%{_libdir}/ogmrip/" -type f \( -name '*.h' -o -name '*.la' \) -exec %__rm {} \;

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/audio-plugins
%{_libdir}/ogmrip/audio-plugins/libogmrip-flac.so

%changelog
* Fri Jul 30 2010 toni@links2linux.de
- initial package for 0.1
